Bug 184367 - Provide the same Fedora default bookmarks in all browsers
Provide the same Fedora default bookmarks in all browsers
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 04:35 EST by Rahul Sundaram
Modified: 2014-03-16 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-12 15:43:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2006-03-08 04:35:56 EST
Description of problem:

Firefox now provides Fedora related bookmarks by default which is great for a
default browser except that it isnt the only browser shipped in FC (perhaps even
in Fedora Extras) and we need to provide the same bookmarks in all the browsers
included in them - seamonkey, ephiphany, konqueror, lynx etc

Actual results:

Fedora bookmarks only present in Firefox

Expected results:

Same bookmarks in all browsers included in the distribution

Additional info:

Perhaps a shared configuration mechanism makes sense to stay in sync if we had
to modify bookmarks again in the future.
Comment 1 Jeremy Katz 2006-03-08 12:39:36 EST
One problem is that all of them store their bookmarks in different formats and
with different requirements.
Comment 2 David Timms 2006-03-08 17:43:47 EST
If all browser can read file URLs, then a central way to do this is to store at
least a *brief* default main page under /usr  (wherever is appropriate), that
provides links to both an offline version of some useful links, and the live on
line version.

The default page that is 20+ pages of release notes that is used currently in
firefox is dreadfully slow at appearing. The first user impression should be:
This operating system / web browser is so fast !

While it would be good to default to the on disk mini web store, a second spot
should probably be a single bookmark in a personal tooolbar folder for browsers
that support it or in the bookmarks list for those that don't. (It's painful to
need to re-arange the default toolbar stuff to move the defaults around so that
you can fit your *personal* stuff in.)
Comment 3 Christopher Aillon 2007-04-16 13:30:33 EDT
This is something that should have bugs filed against each offending package. 
fedora-bookmarks exist and packages can and should use it.  Firefox, Epiphany,
and I think Seamonkey already do.

Firefox installs a symlink to the system bookmarks.
Epiphany is patched so that it "imports" the system bookmarks on first run.

I believe one of those approaches will work for most other browsers.  If not, we
might want to look into a Netscape Bookmarks format -> XBEL format converter
(which is the other popular format AFAICT).

I don't think this is a useful bug to leave around, so closing, but please go
ahead and open bugs for individual packages.
Comment 4 Jon Stanley 2008-05-12 15:43:33 EDT
really closing per comment #3

Note You need to log in before you can comment on or make changes to this bug.